# Uses of Class
org.apache.commons.math3.geometry.spherical.twod.Circle

Packages that use Circle
Package
Description
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of Circle in org.apache.commons.math3.geometry.spherical.twod

Methods in org.apache.commons.math3.geometry.spherical.twod that return Circle
Modifier and Type
Method
Description
`Circle`
Circle.`copySelf()`
Copy the instance.
`Circle`
Edge.`getCircle()`
Get the circle supporting this edge.
`Circle`
Circle.`getReverse()`
Get the reverse of the instance.
Methods in org.apache.commons.math3.geometry.spherical.twod with parameters of type Circle
Modifier and Type
Method
Description
`Arc`
Circle.`getInsideArc(Circle other)`
Get the arc of the instance that lies inside the other circle.
Constructors in org.apache.commons.math3.geometry.spherical.twod with parameters of type Circle
Modifier
Constructor
Description
``
`Circle(Circle circle)`
Copy constructor.